Bug 1056960 - Update man page
Summary: Update man page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fpaste
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-23 09:15 UTC by Ankur Sinha (FranciscoD)
Modified: 2014-06-11 16:26 UTC (History)
6 users (show)

Fixed In Version: fpaste-0.3.7.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-07 03:28:24 UTC


Attachments (Terms of Use)
Amend manpage with correction for "-d" (should be password _not_ description) (457 bytes, patch)
2014-04-01 17:38 UTC, Steven Acres
no flags Details | Diff
Amend manpage with correction for "-d" (should be password _not_ description) as well as examples. (1.34 KB, patch)
2014-04-01 17:49 UTC, Steven Acres
no flags Details | Diff

Description Ankur Sinha (FranciscoD) 2014-01-23 09:15:30 UTC
Description of problem:
fpaste is carrying patches to make it work with sticky notes server. However, the changes haven't been documented in the manual. They're available in fpaste --help, though.

Version-Release number of selected component (if applicable):
0.3.7.1-11

Comment 1 Ankur Sinha (FranciscoD) 2014-01-23 09:16:12 UTC
Will be done sometime in the future. Not very urgent since fpaste --help is at least up to date.

Comment 2 Chad Feller 2014-03-21 20:22:33 UTC
The biggest issue in the man page, is that the man page says that '-d' sets a description, but in reality it sets a password.  Furthermore, the '-d' option is used in examples on the manpage.

I think this is somewhat of an issue as most people look to a manpage for documentation first before '--help'.

Comment 3 Steven Acres 2014-03-30 05:30:45 UTC
+1 Chad.
The man page is the grail. Standards are what _made_ UNIX.
Breaks support and education (RTFM).
Please push the patch.
Thanks.

Comment 4 Ankur Sinha (FranciscoD) 2014-03-31 01:09:20 UTC
(In reply to Steven Acres from comment #3)
> +1 Chad.
> The man page is the grail. Standards are what _made_ UNIX.
> Breaks support and education (RTFM).
> Please push the patch.
> Thanks.

If you can submit a patch, I'll push it right away.

Thanks,
Ankur

Comment 5 Steven Acres 2014-04-01 17:38:03 UTC
Created attachment 881464 [details]
Amend manpage with correction for "-d" (should be password _not_ description)

Here is a patch FranciscoD.

Comment 6 Steven Acres 2014-04-01 17:47:17 UTC
Comment on attachment 881464 [details]
Amend manpage with correction for "-d" (should be password _not_ description)

My bad, didn't amend the examples to remove the "description" as well.

Comment 7 Steven Acres 2014-04-01 17:49:23 UTC
Created attachment 881465 [details]
Amend manpage with correction for "-d" (should be password _not_ description) as well as examples.

With amended examples; (to remove the "-d..." portions).

Comment 8 Fedora Update System 2014-04-04 04:22:02 UTC
fpaste-0.3.7.1-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-12.fc19

Comment 9 Fedora Update System 2014-04-04 04:22:10 UTC
fpaste-0.3.7.1-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-12.fc20

Comment 10 Fedora Update System 2014-04-05 04:53:27 UTC
Package fpaste-0.3.7.1-12.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fpaste-0.3.7.1-12.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4808/fpaste-0.3.7.1-12.fc19
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-04-07 03:28:24 UTC
fpaste-0.3.7.1-12.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-04-15 11:20:25 UTC
fpaste-0.3.7.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.2-1.fc19

Comment 13 Fedora Update System 2014-04-15 11:20:40 UTC
fpaste-0.3.7.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.2-1.fc20

Comment 14 lnie 2014-04-16 02:57:53 UTC
fpaste-0.3.7.2-1.fc20 works

Comment 15 Fedora Update System 2014-04-20 01:26:03 UTC
fpaste-0.3.7.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-06-11 16:26:03 UTC
fpaste-0.3.7.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.